package com.ruoyi.system.domain_shate;

import com.ruoyi.system.service_shate.impl.PlantingSuitabilityServiceIpml;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/11 11:03
 */
public class UplodFile
{

    /**
     * 名称
     */
    private  String name;

    /**
     * 播种成功率
     */
    private List<SeedingSuccessRate> information;

    /**
     * 土地利用类型
     */
    private  List<LandUse> landUses;

    /**
     * 种植适宜性
     */
    private  List<PlantingSuitability> plantingSuitabilities;

    /**
     * 植被健康状况
     */
    private  List<VegetationHealth> vegetationHealths;
    /**
     * 地域因子-水分因素
     */
    private  List<WaterFactor> waterFactors;
    /**
     * 地域因子-地域指数
     */
    private  List<RegionIndex> regionIndexs;
    /**
     * 地域因子-道路指数
     */
    private  List<RoadFactor> roadFactors;

    private  List<Integer>  id;

    public List<RegionIndex> getRegionIndexs() {
        return regionIndexs;
    }

    public void setRegionIndexs(List<RegionIndex> regionIndexs) {
        this.regionIndexs = regionIndexs;
    }

    public List<RoadFactor> getRoadFactors() {
        return roadFactors;
    }

    public void setRoadFactors(List<RoadFactor> roadFactors) {
        this.roadFactors = roadFactors;
    }

    /**
     * 土壤因子-土壤沙化指数
     */
    private  List<SoilDesertification> soilDesertifications;
    /**
     * 土壤因子-土壤湿度指数
     */
    private  List<SoilMoisture> soilMoistures;
    /**
     * 土壤因子-土壤盐渍化指数
     */
    private  List<SoilSalinization> soilSalinizations;

    /**
     * 地形因子-海拔
     */
    private  List<Altitude> altitudes;
    /**
     * 地形因子-坡向
     */
    private  List<Aspect> aspects;
    /**
     * 地形因子-坡度
     */
    private  List<Slope> slopes;

    private List<Climate> Climate;


    private  List<DateUpload> dateUploads;

    public List<LandUse> getLandUses() {
        return landUses;
    }

    public void setLandUses(List<LandUse> landUses) {
        this.landUses = landUses;
    }

    public List<PlantingSuitability> getPlantingSuitabilities() {
        return plantingSuitabilities;
    }

    public void setPlantingSuitabilities(List<PlantingSuitability> plantingSuitabilities) {
        this.plantingSuitabilities = plantingSuitabilities;
    }

    public List<VegetationHealth> getVegetationHealths() {
        return vegetationHealths;
    }

    public void setVegetationHealths(List<VegetationHealth> vegetationHealths) {
        this.vegetationHealths = vegetationHealths;
    }

    public List<WaterFactor> getWaterFactors() {
        return waterFactors;
    }

    public void setWaterFactors(List<WaterFactor> waterFactors) {
        this.waterFactors = waterFactors;
    }


    public List<SoilDesertification> getSoilDesertifications() {
        return soilDesertifications;
    }

    public void setSoilDesertifications(List<SoilDesertification> soilDesertifications) {
        this.soilDesertifications = soilDesertifications;
    }

    public List<SoilMoisture> getSoilMoistures() {
        return soilMoistures;
    }

    public void setSoilMoistures(List<SoilMoisture> soilMoistures) {
        this.soilMoistures = soilMoistures;
    }

    public List<SoilSalinization> getSoilSalinizations() {
        return soilSalinizations;
    }

    public void setSoilSalinizations(List<SoilSalinization> soilSalinizations) {
        this.soilSalinizations = soilSalinizations;
    }

    public List<Altitude> getAltitudes() {
        return altitudes;
    }

    public void setAltitudes(List<Altitude> altitudes) {
        this.altitudes = altitudes;
    }

    public List<Aspect> getAspects() {
        return aspects;
    }

    public void setAspects(List<Aspect> aspects) {
        this.aspects = aspects;
    }

    public List<Slope> getSlopes() {
        return slopes;
    }

    public void setSlopes(List<Slope> slopes) {
        this.slopes = slopes;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<SeedingSuccessRate> getInformation() {
        return information;
    }

    public void setInformation(List<SeedingSuccessRate> information) {
        this.information = information;
    }

    public List<DateUpload> getDateUploads() {
        return dateUploads;
    }

    public void setDateUploads(List<DateUpload> dateUploads) {
        this.dateUploads = dateUploads;
    }

    public List<Integer> getId() {
        return id;
    }

    public void setId(List<Integer> id) {
        this.id = id;
    }

    public List<com.ruoyi.system.domain_shate.Climate> getClimate() {
        return Climate;
    }

    public void setClimate(List<com.ruoyi.system.domain_shate.Climate> climate) {
        Climate = climate;
    }
}
